Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions | Variables
win32ole_variable.h File Reference

Go to the source code of this file.

## Functions
VALUE | create_win32ole_variable (ITypeInfo *pTypeInfo, UINT index, VALUE name)
void | Init_win32ole_variable (void)

## Variables
VALUE | cWIN32OLE_VARIABLE

## Function Documentation

## ◆ create_win32ole_variable()

VALUE create_win32ole_variable | ( | ITypeInfo * | pTypeInfo,
|  | UINT | index,
|  | VALUE | name
| ) |  |

Definition at line 52 of file win32ole_variable.c.

References cWIN32OLE_VARIABLE, obj, and TypedData_Make_Struct.

## ◆ Init_win32ole_variable()

void Init_win32ole_variable | ( | void |  | ) |

Definition at line 368 of file win32ole_variable.c.

References cWIN32OLE_VARIABLE, rb_cObject, rb_define_class(), and rb_define_method().

## Variable Documentation

## ◆ cWIN32OLE_VARIABLE

VALUE cWIN32OLE_VARIABLE

Definition at line 4 of file win32ole_variable.h.

Referenced by create_win32ole_variable(), and Init_win32ole_variable().